ApiHiveOnTezReplicationResult (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHiveOnTezReplicationResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveOnTezReplicationResult

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHiveOnTezReplicationResult
      extends Object

  Detailed information about a Hive replication job.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveOnTezReplicationResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveOnTezReplicationResult` | `entitiesCurrent(BigDecimal entitiesCurrent)`
    `ApiHiveOnTezReplicationResult` | `entitiesTotal(BigDecimal entitiesTotal)`
    `boolean` | `equals(Object o)`
    `ApiHiveOnTezReplicationResult` | `error(String error)`
    `ApiHiveOnTezReplicationResult` | `eventsCurrent(BigDecimal eventsCurrent)`
    `ApiHiveOnTezReplicationResult` | `eventsTotal(BigDecimal eventsTotal)`
    `ApiHiveOnTezReplicationResult` | `functionsCurrent(BigDecimal functionsCurrent)`
    `ApiHiveOnTezReplicationResult` | `functionsTotal(BigDecimal functionsTotal)`
    `BigDecimal` | `getEntitiesCurrent()`
    `BigDecimal` | `getEntitiesTotal()`
    `String` | `getError()`
    `BigDecimal` | `getEventsCurrent()`
    `BigDecimal` | `getEventsTotal()`
    `BigDecimal` | `getFunctionsCurrent()`
    `BigDecimal` | `getFunctionsTotal()`
    `Origin` | `getOrigin()`
    `BigDecimal` | `getPoliciesCurrent()`
    `BigDecimal` | `getPoliciesTotal()`
    `String` | `getStatus()`
    `BigDecimal` | `getTablesCurrent()`
    `BigDecimal` | `getTablesTotal()`
    `String` | `getType()` Type of replication.
    `int` | `hashCode()`
    `ApiHiveOnTezReplicationResult` | `origin(Origin origin)`
    `ApiHiveOnTezReplicationResult` | `policiesCurrent(BigDecimal policiesCurrent)`
    `ApiHiveOnTezReplicationResult` | `policiesTotal(BigDecimal policiesTotal)`
    `void` | `setEntitiesCurrent(BigDecimal entitiesCurrent)`
    `void` | `setEntitiesTotal(BigDecimal entitiesTotal)`
    `void` | `setError(String error)`
    `void` | `setEventsCurrent(BigDecimal eventsCurrent)`
    `void` | `setEventsTotal(BigDecimal eventsTotal)`
    `void` | `setFunctionsCurrent(BigDecimal functionsCurrent)`
    `void` | `setFunctionsTotal(BigDecimal functionsTotal)`
    `void` | `setOrigin(Origin origin)`
    `void` | `setPoliciesCurrent(BigDecimal policiesCurrent)`
    `void` | `setPoliciesTotal(BigDecimal policiesTotal)`
    `void` | `setStatus(String status)`
    `void` | `setTablesCurrent(BigDecimal tablesCurrent)`
    `void` | `setTablesTotal(BigDecimal tablesTotal)`
    `void` | `setType(String type)`
    `ApiHiveOnTezReplicationResult` | `status(String status)`
    `ApiHiveOnTezReplicationResult` | `tablesCurrent(BigDecimal tablesCurrent)`
    `ApiHiveOnTezReplicationResult` | `tablesTotal(BigDecimal tablesTotal)`
    `String` | `toString()`
    `ApiHiveOnTezReplicationResult` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveOnTezReplicationResult

          public ApiHiveOnTezReplicationResult()

  - ### Method Detail

    - #### type

          public ApiHiveOnTezReplicationResult type(String type)

    - #### getType

          public String getType()

      Type of replication. <p/> BOOTSTRAP or INCREMENTAL
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### status

          public ApiHiveOnTezReplicationResult status(String status)

    - #### getStatus

          public String getStatus()

      Returns:
        status

    - #### setStatus

          public void setStatus(String status)

    - #### error

          public ApiHiveOnTezReplicationResult error(String error)

    - #### getError

          public String getError()

      Returns:
        error

    - #### setError

          public void setError(String error)

    - #### tablesCurrent

          public ApiHiveOnTezReplicationResult tablesCurrent(BigDecimal tablesCurrent)

    - #### getTablesCurrent

          public BigDecimal getTablesCurrent()

      Returns:
        tablesCurrent

    - #### setTablesCurrent

          public void setTablesCurrent(BigDecimal tablesCurrent)

    - #### tablesTotal

          public ApiHiveOnTezReplicationResult tablesTotal(BigDecimal tablesTotal)

    - #### getTablesTotal

          public BigDecimal getTablesTotal()

      Returns:
        tablesTotal

    - #### setTablesTotal

          public void setTablesTotal(BigDecimal tablesTotal)

    - #### functionsCurrent

          public ApiHiveOnTezReplicationResult functionsCurrent(BigDecimal functionsCurrent)

    - #### getFunctionsCurrent

          public BigDecimal getFunctionsCurrent()

      Returns:
        functionsCurrent

    - #### setFunctionsCurrent

          public void setFunctionsCurrent(BigDecimal functionsCurrent)

    - #### functionsTotal

          public ApiHiveOnTezReplicationResult functionsTotal(BigDecimal functionsTotal)

    - #### getFunctionsTotal

          public BigDecimal getFunctionsTotal()

      Returns:
        functionsTotal

    - #### setFunctionsTotal

          public void setFunctionsTotal(BigDecimal functionsTotal)

    - #### eventsCurrent

          public ApiHiveOnTezReplicationResult eventsCurrent(BigDecimal eventsCurrent)

    - #### getEventsCurrent

          public BigDecimal getEventsCurrent()

      Returns:
        eventsCurrent

    - #### setEventsCurrent

          public void setEventsCurrent(BigDecimal eventsCurrent)

    - #### eventsTotal

          public ApiHiveOnTezReplicationResult eventsTotal(BigDecimal eventsTotal)

    - #### getEventsTotal

          public BigDecimal getEventsTotal()

      Returns:
        eventsTotal

    - #### setEventsTotal

          public void setEventsTotal(BigDecimal eventsTotal)

    - #### policiesCurrent

          public ApiHiveOnTezReplicationResult policiesCurrent(BigDecimal policiesCurrent)

    - #### getPoliciesCurrent

          public BigDecimal getPoliciesCurrent()

      Returns:
        policiesCurrent

    - #### setPoliciesCurrent

          public void setPoliciesCurrent(BigDecimal policiesCurrent)

    - #### policiesTotal

          public ApiHiveOnTezReplicationResult policiesTotal(BigDecimal policiesTotal)

    - #### getPoliciesTotal

          public BigDecimal getPoliciesTotal()

      Returns:
        policiesTotal

    - #### setPoliciesTotal

          public void setPoliciesTotal(BigDecimal policiesTotal)

    - #### entitiesCurrent

          public ApiHiveOnTezReplicationResult entitiesCurrent(BigDecimal entitiesCurrent)

    - #### getEntitiesCurrent

          public BigDecimal getEntitiesCurrent()

      Returns:
        entitiesCurrent

    - #### setEntitiesCurrent

          public void setEntitiesCurrent(BigDecimal entitiesCurrent)

    - #### entitiesTotal

          public ApiHiveOnTezReplicationResult entitiesTotal(BigDecimal entitiesTotal)

    - #### getEntitiesTotal

          public BigDecimal getEntitiesTotal()

      Returns:
        entitiesTotal

    - #### setEntitiesTotal

          public void setEntitiesTotal(BigDecimal entitiesTotal)

    - #### origin

          public ApiHiveOnTezReplicationResult origin(Origin origin)

    - #### getOrigin

          public Origin getOrigin()

      Returns:
        origin

    - #### setOrigin

          public void setOrigin(Origin origin)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.